class CreateActionNodes < ActiveRecord::Migration[5.2]
  def change
    create_table :action_nodes do |t|
      t.string :name
      t.string :full_name
      t.string :description
      t.string :icon
      t.references :action_node_types
      t.boolean :is_local, default: false
      t.string :local_url
      t.text :yaml
      t.integer :sort_no, default: 0
      t.integer :use_count, default: 0
      t.references :user
      t.timestamps
    end
  end
end
